---
title: "Create a ten-minute phone recording QR code"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › LiveChat

`POST /api/livechat/video/phone-handoffs`

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Request body

_Required._

- `workspaceId` (`post/api/livechat/video/phone-handoffs.workspaceId`; string, required)
- `contactId` (`post/api/livechat/video/phone-handoffs.contactId`; string, required)
  - format `uuid`

## Example request

```json
{
  "workspaceId": "string",
  "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url https://api.channelautomation.com/api/livechat/video/phone-handoffs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspaceId": "string",
  "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d"
}
'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/livechat/video/phone-handoffs';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({workspaceId: 'string', contactId: 'b5ec5d98-4bee-4da1-ad24-dde86346cb1d'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/livechat/video/phone-handoffs"

payload = {
    "workspaceId": "string",
    "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d"
}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 201

Returns id, token and expiresAt; the token is returned only once

### 400

Invalid workspace or contact

### 401

Verified session required

### 403

Membership or contact visibility denied

### 404

Contact not in workspace

### 429

Too many QR codes

### 503

Phone recording unavailable


Source: https://developer.channelautomations.com/api/post-api-livechat-video-phone-handoffs/index.md
